#include "chdecl.h"
void CH_makehermes(current, sched, cop)
#define ARGUMENTS 24
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c21;
    case 4: goto cb23;
    case 5: goto c24;
    case 8: goto c26;
    case 6: goto c26;
    case 7: goto cb31;
    case 9: goto c33;
    case 10: goto cb36;
    case 11: goto c37;
    case 12: goto c38;
    case 13: goto c41;
    case 14: goto c55;
    case 15: goto c58;
    case 16: goto cb139;
    case 17: goto c140;
    case 18: goto c141;
    case 19: goto c143;
    case 20: goto c148;
    case 21: goto c151;
    case 22: goto cb159;
    case 23: goto c160;
    case 24: goto cb167;
    case 25: goto c168;
    case 26: goto c170;
    case 27: goto c187;
    case 28: goto c190;
    case 29: goto c205;
    case 30: goto cb246;
    case 31: goto c247;
    case 32: goto c248;
    case 33: goto c253;
    case 34: goto cb257;
    case 35: goto c258;
    case 36: goto cb264;
    case 37: goto c265;
    case 38: goto c268;
    case 39: goto cb269;
    case 41: goto c271;
    case 42: goto cb272;
    case 40: goto c273;
    case 43: goto c273;
    case 44: goto c280;
    case 45: goto c296;
    case 46: goto c343;
    case 47: goto c354;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* enum_lit 4 , 1 */
  REF(4).value.enumeration = 1;
  REF(4).tsdr = & dr_enumeration;
/* enum_lit 5 , 2 */
  REF(5).value.enumeration = 2;
  REF(5).tsdr = & dr_enumeration;
/* enum_lit 6 , 1 */
  REF(6).value.enumeration = 1;
  REF(6).tsdr = & dr_enumeration;
/* copy 7 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = & dr_table;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* lookup_at 8 7 =(0) */
  if ( !((ch_t = REF(7).value.table)->size) ) goto ch_notfound;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(8).value,0);
  REF(8).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 9 7 =(0) */
  if ((ch_returncode = remove_at_func(DEF(9),DEF(7),0)) != Normal)
     goto ch_raise_exception;
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* lookup_at 10 7 =(0) */
  if ( !((ch_t = REF(7).value.table)->size) ) goto ch_notfound;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(10).value,0);
  REF(10).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 9 7 =(0) */
  if ((ch_returncode = remove_at_func(DEF(9),DEF(7),0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 38 */
   goto c38;
c21:
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* chs_lit 11 , "Strange command line arguments: " */
  if( !chs_lit(DEF(11),"Strange command line arguments: ") )
     goto ch_depletion;
  current->ip = 4;
cb23:
/* call 3.1.0 11 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(11),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c24:
/* copy 12 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = & dr_table;
/* initget 13 12 , 0,0 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(13),DEF(12),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c32:
c26:
/* get_or_goto 13 12 , 33 */
  if ((ch_returncode = get_selected_object(DEF(13),DEF(12),sched)) != Normal)
     goto c33;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* chs_lit 15 , " " */
  if( !chs_lit(DEF(15)," ") ) goto ch_depletion;
/* concat 14 13 15 */
  if ((ch_returncode = che_concat(DEF(14),DEF(13),DEF(15),sched)) != Normal)
     goto ch_raise_exception;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
  current->ip = 7;
cb31:
/* call 3.1.0 14 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(14),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c33:
/* endget 13 12 */
  end_selector(DEF(13),DEF(12),sched,GET);
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* chs_lit 16 , "" */
  if( !chs_lit(DEF(16),"") ) goto ch_depletion;
  current->ip = 10;
cb36:
/* call 3.1.1 16 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(16),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c37:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c38:
/* new_table 17 , 5 */
  if ((ch_returncode = che_new_table(DEF(17),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* initget 18 7 , 0,0 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(18),DEF(7),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c41:
/* get_or_goto 18 7 , 51 */
  if ((ch_returncode = get_selected_object(DEF(18),DEF(7),sched)) != Normal)
     goto c51;
/* lookup_at 19 18 =(0) */
  if ( !((ch_t = REF(18).value.table)->size) ) goto ch_notfound;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(19).value,0);
  REF(19).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 20 19 */
  REF(20) = REF(19);
/* notequal . 20 =(45) , 41 */
  if ( REF(20).value.ord_enum != 45 ) goto c41;
/* remove 21 18 7 */
  if ((ch_returncode = che_remove(DEF(21),DEF(18),DEF(7),sched)) != Normal)
     goto ch_raise_exception;
/* insert 17 21 */
  if ((ch_returncode = insertfunc(DEF(17),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 41 */
   goto c41;
c51:
/* endget 18 7 */
  end_selector(DEF(18),DEF(7),sched,GET);
/* new_table 22 , 6 */
  if ((ch_returncode = che_new_table(DEF(22),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 23 17 */
  if((ch_returncode = cp_table(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_table;
/* initget 24 23 , 0,0 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(24),DEF(23),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c55:
/* get_or_goto 24 23 , 151 */
  if ((ch_returncode = get_selected_object(DEF(24),DEF(23),sched)) != Normal)
     goto c151;
/* copy 25 24 */
  if((ch_returncode = cp_table(& ch_val, REF(24).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = & dr_table;
/* initget 26 25 , 0,0 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(26),DEF(25),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c58:
/* get_or_goto 26 25 , 148 */
  if ((ch_returncode = get_selected_object(DEF(26),DEF(25),sched)) != Normal)
     goto c148;
/* position 27 26 */
  ch_frame = get_selector_frame(DEF(26),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(27).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(27).tsdr = &dr_integer;
/* ile . 27 =(0) , 58 */
  if ( REF(27).value.integer <= 0 ) goto c58;
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 26 =(84) , 90 */
  if ( REF(26).value.ord_enum == 84 ) goto c90;
/* equal . 26 =(65) , 94 */
  if ( REF(26).value.ord_enum == 65 ) goto c94;
/* equal . 26 =(89) , 98 */
  if ( REF(26).value.ord_enum == 89 ) goto c98;
/* equal . 26 =(68) , 102 */
  if ( REF(26).value.ord_enum == 68 ) goto c102;
/* equal . 26 =(99) , 106 */
  if ( REF(26).value.ord_enum == 99 ) goto c106;
/* equal . 26 =(112) , 109 */
  if ( REF(26).value.ord_enum == 112 ) goto c109;
/* equal . 26 =(111) , 112 */
  if ( REF(26).value.ord_enum == 111 ) goto c112;
/* equal . 26 =(103) , 115 */
  if ( REF(26).value.ord_enum == 103 ) goto c115;
/* equal . 26 =(115) , 118 */
  if ( REF(26).value.ord_enum == 115 ) goto c118;
/* equal . 26 =(97) , 121 */
  if ( REF(26).value.ord_enum == 97 ) goto c121;
/* equal . 26 =(105) , 124 */
  if ( REF(26).value.ord_enum == 105 ) goto c124;
/* equal . 26 =(110) , 127 */
  if ( REF(26).value.ord_enum == 110 ) goto c127;
/* branch , 130 */
   goto c130;
c90:
/* enum_lit 28 , 3 */
  REF(28).value.enumeration = 3;
  REF(28).tsdr = & dr_enumeration;
/* exit , 8 */
  ch_e = handler_type__exit; ch_val = QUAL(8); goto ch_exception;
c94:
/* enum_lit 28 , 2 */
  REF(28).value.enumeration = 2;
  REF(28).tsdr = & dr_enumeration;
/* exit , 8 */
  ch_e = handler_type__exit; ch_val = QUAL(8); goto ch_exception;
c98:
/* enum_lit 28 , 1 */
  REF(28).value.enumeration = 1;
  REF(28).tsdr = & dr_enumeration;
/* exit , 8 */
  ch_e = handler_type__exit; ch_val = QUAL(8); goto ch_exception;
c102:
/* enum_lit 28 , 0 */
  REF(28).value.enumeration = 0;
  REF(28).tsdr = & dr_enumeration;
/* exit , 8 */
  ch_e = handler_type__exit; ch_val = QUAL(8); goto ch_exception;
c106:
/* enum_lit 6 , 1 */
  REF(6).value.enumeration = 1;
  REF(6).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c109:
/* enum_lit 6 , 0 */
  REF(6).value.enumeration = 0;
  REF(6).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c112:
/* enum_lit 5 , 2 */
  REF(5).value.enumeration = 2;
  REF(5).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c115:
/* enum_lit 5 , 1 */
  REF(5).value.enumeration = 1;
  REF(5).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c118:
/* enum_lit 5 , 0 */
  REF(5).value.enumeration = 0;
  REF(5).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c121:
/* enum_lit 4 , 2 */
  REF(4).value.enumeration = 2;
  REF(4).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c124:
/* enum_lit 4 , 1 */
  REF(4).value.enumeration = 1;
  REF(4).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c127:
/* enum_lit 4 , 0 */
  REF(4).value.enumeration = 0;
  REF(4).tsdr = & dr_enumeration;
/* branch , 141 */
   goto c141;
c130:
/* chs_lit 29 , "Unknown option flag: " */
  if( !chs_lit(DEF(29),"Unknown option flag: ") ) goto ch_depletion;
/* new_table 30 , 9 */
  if ((ch_returncode = che_new_table(DEF(30),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* position 31 26 */
  ch_frame = get_selector_frame(DEF(26),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(31).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(31).tsdr = &dr_integer;
/* lookup_at_or_goto 32 24 31 , 136 */
  if((ch_i = REF(31).value.integer) < 0 || ch_i >= (ch_t = REF(24).value
    .table)->size) goto c136;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(32).value,ch_i);
  REF(32).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 33 32 */
  if((ch_returncode = (REF(32).tsdr->copy)(& ch_val, REF(32).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(32).tsdr->number];
/* insert 30 33 */
  if ((ch_returncode = insertfunc(DEF(30),DEF(33),FALSE,0)) != Normal)
     goto ch_raise_exception;
c136:
/* concat 34 29 30 */
  if ((ch_returncode = che_concat(DEF(34),DEF(29),DEF(30),sched)) != Normal)
     goto ch_raise_exception;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
  current->ip = 16;
cb139:
/* call 3.1.1 34 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(34),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c140:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c141:
/* endblock */
  che_endblock(sched);
/* branch , 58 */
   goto c58;
c143:
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* insert 22 28 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(28),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 58 */
   goto c58;
c148:
/* endget 26 25 */
  end_selector(DEF(26),DEF(25),sched,GET);
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* branch , 55 */
   goto c55;
c151:
/* endget 24 23 */
  end_selector(DEF(24),DEF(23),sched,GET);
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* boolean 35 , FALSE */
  REF(35).value.boolean = FALSE;
  REF(35).tsdr = & dr_boolean;
/* enum_lit 36 , 2 */
  REF(36).value.enumeration = 2;
  REF(36).tsdr = & dr_enumeration;
/* find_or_goto 37 22 36 , 0,157 */
  if (findfunc(DEF(37),DEF(22),(
          arguments[0] = DEF(36),& arguments[0]),sched,0) == FAILURE) goto c157;
/* boolean 35 , TRUE */
  REF(35).value.boolean = TRUE;
  REF(35).tsdr = & dr_boolean;
c157:
/* branch_false 35 , 160 */
  if ( !REF(35).value.boolean ) goto c160;
/* chs_lit 38 , "make: 'actions' debug mode not yet implemented" */
  if( !chs_lit(DEF(38),"make: 'actions' debug mode not yet implemented") )
     goto ch_depletion;
  current->ip = 22;
cb159:
/* call 3.1.1 38 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(38),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c160:
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* boolean 39 , FALSE */
  REF(39).value.boolean = FALSE;
  REF(39).tsdr = & dr_boolean;
/* enum_lit 40 , 3 */
  REF(40).value.enumeration = 3;
  REF(40).tsdr = & dr_enumeration;
/* find_or_goto 41 22 40 , 0,165 */
  if (findfunc(DEF(41),DEF(22),(
          arguments[0] = DEF(40),& arguments[0]),sched,0) == FAILURE) goto c165;
/* boolean 39 , TRUE */
  REF(39).value.boolean = TRUE;
  REF(39).tsdr = & dr_boolean;
c165:
/* branch_false 39 , 168 */
  if ( !REF(39).value.boolean ) goto c168;
/* chs_lit 42 , "make: 'trace' debug mode not yet implemented" */
  if( !chs_lit(DEF(42),"make: 'trace' debug mode not yet implemented") )
     goto ch_depletion;
  current->ip = 24;
cb167:
/* call 3.1.1 42 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(42),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c168:
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* new_table 43 , 6 */
  if ((ch_returncode = che_new_table(DEF(43),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
c170:
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* size 49 7 */
  REF(49).value.integer = REF(7).value.table->size;
  REF(49).tsdr = & dr_integer;
/* ile . 49 =(0) , 253 */
  if ( REF(49).value.integer <= 0 ) goto c253;
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* lookup_at 50 7 =(0) */
  if ( !((ch_t = REF(7).value.table)->size) ) goto ch_notfound;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(50).value,0);
  REF(50).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 51 7 =(0) */
  if ((ch_returncode = remove_at_func(DEF(51),DEF(7),0)) != Normal)
     goto ch_raise_exception;
/* new_table 52 , 9 */
  if ((ch_returncode = che_new_table(DEF(52),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 53 51 */
  if((ch_returncode = cp_table(& ch_val, REF(51).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).value = ch_val;
  REF(53).tsdr = & dr_table;
/* privatize 51 */
  if (REF(51).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(51))) != Normal)
       goto ch_raise_exception;
/* initget 54 51 , 0,0 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(54),DEF(51),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c187:
/* get_or_goto 54 51 , 205 */
  if ((ch_returncode = get_selected_object(DEF(54),DEF(51),sched)) != Normal)
     goto c205;
/* boolean 55 , FALSE */
  REF(55).value.boolean = FALSE;
  REF(55).tsdr = & dr_boolean;
/* initget 56 53 , 0,0 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(56),DEF(53),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c190:
/* get_or_goto 56 53 , 199 */
  if ((ch_returncode = get_selected_object(DEF(56),DEF(53),sched)) != Normal)
     goto c199;
/* position 57 56 */
  ch_frame = get_selector_frame(DEF(56),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(57).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(57).tsdr = &dr_integer;
/* position 58 54 */
  ch_frame = get_selector_frame(DEF(54),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(58).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(58).tsdr = &dr_integer;
/* igt 59 57 58 */
  REF(59).value.boolean = (REF(57).value.integer > REF(58).value.integer);
/* equal 60 56 =(46) */
  REF(60).value.boolean = (REF(56).value.ord_enum == 46);
  REF(60).tsdr = & dr_boolean;
/* and 61 59 60 */
  REF(61).value.boolean = REF(59).value.boolean&REF(60).value.boolean;
  REF(61).tsdr = & dr_boolean;
/* branch_false 61 , 190 */
  if ( !REF(61).value.boolean ) goto c190;
/* boolean 55 , TRUE */
  REF(55).value.boolean = TRUE;
  REF(55).tsdr = & dr_boolean;
c199:
/* endget 56 53 */
  end_selector(DEF(56),DEF(53),sched,GET);
/* not 62 55 */
  REF(62).value.boolean = !REF(55).value.boolean;
  REF(62).tsdr = & dr_boolean;
/* branch_false 62 , 187 */
  if ( !REF(62).value.boolean ) goto c187;
/* remove 63 54 51 */
  if ((ch_returncode = che_remove(DEF(63),DEF(54),DEF(51),sched)) != Normal)
     goto ch_raise_exception;
/* insert 52 63 */
  if ((ch_returncode = insertfunc(DEF(52),DEF(63),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 187 */
   goto c187;
c205:
/* endget 54 51 */
  end_selector(DEF(54),DEF(51),sched,GET);
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* chs_lit 64 , "" */
  if( !chs_lit(DEF(64),"") ) goto ch_depletion;
/* equal 65 51 64 */
  REF(65).value.boolean = (eq_table(REF(51).value,REF(64).value));
  REF(65).tsdr = & dr_boolean;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* branch_false 65 , 214 */
  if ( !REF(65).value.boolean ) goto c214;
/* move 51 52 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51) = REF(52);
  REF(52).tsdr = & dr_bottom;
/* chs_lit 52 , ".target" */
  if( !chs_lit(DEF(52),".target") ) goto ch_depletion;
c214:
/* chs_lit 48 , ".target" */
  if( !chs_lit(DEF(48),".target") ) goto ch_depletion;
/* equal 66 52 48 */
  REF(66).value.boolean = (eq_table(REF(52).value,REF(48).value));
  REF(66).tsdr = & dr_boolean;
/* chs_lit 47 , ".po" */
  if( !chs_lit(DEF(47),".po") ) goto ch_depletion;
/* equal 67 52 47 */
  REF(67).value.boolean = (eq_table(REF(52).value,REF(47).value));
  REF(67).tsdr = & dr_boolean;
/* chs_lit 46 , ".p" */
  if( !chs_lit(DEF(46),".p") ) goto ch_depletion;
/* equal 68 52 46 */
  REF(68).value.boolean = (eq_table(REF(52).value,REF(46).value));
  REF(68).tsdr = & dr_boolean;
/* chs_lit 45 , ".do" */
  if( !chs_lit(DEF(45),".do") ) goto ch_depletion;
/* equal 69 52 45 */
  REF(69).value.boolean = (eq_table(REF(52).value,REF(45).value));
  REF(69).tsdr = & dr_boolean;
/* chs_lit 44 , ".d" */
  if( !chs_lit(DEF(44),".d") ) goto ch_depletion;
/* equal . 52 44 , 238 */
  if ( eq_table(REF(52).value,REF(44).value) ) goto c238;
/* select * 66 * 67 * 68 * 69 , {226,229,232,235} */
  if ( REF(66).value.boolean ) goto c226;
  if ( REF(67).value.boolean ) goto c229;
  if ( REF(68).value.boolean ) goto c232;
  if ( REF(69).value.boolean ) goto c235;
/* branch , 241 */
   goto c241;
c226:
/* chs_lit 52 , "target list" */
  if( !chs_lit(DEF(52),"target list") ) goto ch_depletion;
/* branch , 248 */
   goto c248;
c229:
/* chs_lit 52 , "process module" */
  if( !chs_lit(DEF(52),"process module") ) goto ch_depletion;
/* branch , 248 */
   goto c248;
c232:
/* chs_lit 52 , "process source" */
  if( !chs_lit(DEF(52),"process source") ) goto ch_depletion;
/* branch , 248 */
   goto c248;
c235:
/* chs_lit 52 , "definitions module" */
  if( !chs_lit(DEF(52),"definitions module") ) goto ch_depletion;
/* branch , 248 */
   goto c248;
c238:
/* chs_lit 52 , "definitions source" */
  if( !chs_lit(DEF(52),"definitions source") ) goto ch_depletion;
/* branch , 248 */
   goto c248;
c241:
/* chs_lit 70 , "I don't know how to build this target: " */
  if( !chs_lit(DEF(70),"I don't know how to build this target: ") )
     goto ch_depletion;
/* concat 71 70 51 */
  if ((ch_returncode = che_concat(DEF(71),DEF(70),DEF(51),sched)) != Normal)
     goto ch_raise_exception;
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
/* concat 72 71 52 */
  if ((ch_returncode = che_concat(DEF(72),DEF(71),DEF(52),sched)) != Normal)
     goto ch_raise_exception;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
  current->ip = 30;
cb246:
/* call 3.1.1 72 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(72),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c247:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c248:
/* new_record 73 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).value = ch_val; REF(73).tsdr = & dr_record;
/* move 73.0 51 */
  (*(REF(73)DOT(0).tsdr)->finalize)(REF(73)DOT(0).value,F_DISCARD,sched);
  REF(73)DOT(0) = REF(51);
  REF(51).tsdr = & dr_bottom;
/* move 73.1 52 */
  (*(REF(73)DOT(1).tsdr)->finalize)(REF(73)DOT(1).value,F_DISCARD,sched);
  REF(73)DOT(1) = REF(52);
  REF(52).tsdr = & dr_bottom;
/* insert 43 73 */
  if ((ch_returncode = insertfunc(DEF(43),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 170 */
   goto c170;
c253:
/* prog_lit 74 , 11 */
  if ((ch_returncode = che_prog_lit(DEF(74),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
/* create 75 74 , 12 */
  if ((ch_returncode = che_create(DEF(75),DEF(74),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* move 76 75 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76) = REF(75);
  REF(75).tsdr = & dr_bottom;
  current->ip = 34;
cb257:
/* call 76 3.2 3.1 6 77 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(76),
          arguments[1] = DEF(3)DOT(2),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(6),
          arguments[4] = DEF(77),
          arguments[4+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c258:
/* move 78 77 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78) = REF(77);
  REF(77).tsdr = & dr_bottom;
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* prog_lit 79 , 15 */
  if ((ch_returncode = che_prog_lit(DEF(79),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 80 79 , 16 */
  if ((ch_returncode = che_procedure(DEF(80),DEF(79),QUAL(16)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* move 81 80 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81) = REF(80);
  REF(80).tsdr = & dr_bottom;
  current->ip = 36;
cb264:
/* call 81 43 4 5 22 78 3.1 83 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(81),
          arguments[1] = DEF(43),
          arguments[2] = DEF(4),
          arguments[3] = DEF(5),
          arguments[4] = DEF(22),
          arguments[5] = DEF(78),
          arguments[6] = DEF(3)DOT(1),
          arguments[7] = DEF(83),
          arguments[7+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c265:
/* noop */
  
/* endblock */
  che_endblock(sched);
/* branch , 273 */
   goto c273;
c268:
/* chs_lit 84 , "Circular dependencies detected" */
  if( !chs_lit(DEF(84),"Circular dependencies detected") ) goto ch_depletion;
  current->ip = 39;
cb269:
/* call 3.1.1 84 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(84),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c271:
/* chs_lit 85 , "Make did not complete" */
  if( !chs_lit(DEF(85),"Make did not complete") ) goto ch_depletion;
  current->ip = 42;
cb272:
/* call 3.1.1 85 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(85),
          arguments[1+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c270:
c273:
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 343 */
   goto c343;
c280:
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* branch , 343 */
   goto c343;
c296:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 80 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).tsdr = & dr_bottom;
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* chs_lit 86 , "unexpected exception raised in makehermes" */
  if( !chs_lit(DEF(86),"unexpected exception raised in makehermes") )
     goto ch_depletion;
/* print 86 */
  re_print(stderr, 0, DEF(86)); fflush(stderr);
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
c343:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c354:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
